package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.DegreeRegistration;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Author qnc99
 * @Date 2020/12/3 0003
 */
public class DegreeRegistrationActivityDto extends DegreeRegistration {

    @ApiModelProperty(value = "用户所选考级项目列表",required = true)
    private List<DegreeRegistrationDto> degreeRegistrationDtos;

    private Map<CourseSchedule.CourseScheduleType, Integer> additionCourseInfo;

    private BigDecimal price;
    
    private boolean isUseBalance;

    public List<DegreeRegistrationDto> getDegreeRegistrationDtos() {
        return degreeRegistrationDtos;
    }

    public void setDegreeRegistrationDtos(List<DegreeRegistrationDto> degreeRegistrationDtos) {
        this.degreeRegistrationDtos = degreeRegistrationDtos;
    }

    public Map<CourseSchedule.CourseScheduleType, Integer> getAdditionCourseInfo() {
        return additionCourseInfo;
    }

    public void setAdditionCourseInfo(Map<CourseSchedule.CourseScheduleType, Integer> additionCourseInfo) {
        this.additionCourseInfo = additionCourseInfo;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

	public boolean isUseBalance() {
		return isUseBalance;
	}

	public void setIsUseBalance(boolean isUseBalance) {
		this.isUseBalance = isUseBalance;
	}
}
